argf Struct Reference

## Data Fields

VALUE | filename
VALUE | current_file
long | last_lineno
long | lineno
VALUE | argv
char * | inplace
struct rb_io_enc_t | encs
int8_t | init_p
int8_t | next_p
int8_t | binmode

## Detailed Description

Definition at line 143 of file io.c.

## Field Documentation

VALUE argf::argv

Definition at line 147 of file io.c.

Referenced by argf_init(), and argf_mark().

int8_t argf::binmode

Definition at line 150 of file io.c.

VALUE argf::current_file

Definition at line 144 of file io.c.

Referenced by argf_init(), and argf_mark().

struct rb_io_enc_t argf::encs

Definition at line 149 of file io.c.

Referenced by argf_mark().

VALUE argf::filename

Definition at line 144 of file io.c.

Referenced by argf_init(), and argf_mark().

int8_t argf::init_p

Definition at line 150 of file io.c.

char* argf::inplace

Definition at line 148 of file io.c.

Referenced by argf_free(), and argf_initialize_copy().

long argf::last_lineno

Definition at line 145 of file io.c.

long argf::lineno

Definition at line 146 of file io.c.

Referenced by argf_init().

int8_t argf::next_p

Definition at line 150 of file io.c.

The documentation for this struct was generated from the following file:

- io.c